Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java	(revision aced08cf90578b188467d33bca0a4d2304f33c8d)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -43,10 +43,10 @@
 
     @Column(name = "id_adoption")
-    private int adoptionId;
+    private Integer adoptionId;
 
     @Column(name = "id_shelter")
-    private int shelterId;
+    private Integer shelterId;
 
-    public Pet(String imageUrl, AgeGroup ageGroup, Size size, String breed, String name, Species species, Gender gender, boolean canBeFostered, int adoptionId, int shelterId) {
+    public Pet(String imageUrl, AgeGroup ageGroup, Size size, String breed, String name, Species species, Gender gender, boolean canBeFostered, Integer adoptionId, Integer shelterId) {
         this.imageUrl = imageUrl;
         this.ageGroup = ageGroup;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java	(revision aced08cf90578b188467d33bca0a4d2304f33c8d)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -5,5 +5,4 @@
 
 import java.time.LocalDate;
-import java.util.Date;
 
 @Data
@@ -24,13 +23,13 @@
 
     @Column(name="id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Column(name="id_surendee")
-    private int surendeeId;
+    private Integer surendeeId;
 
     @Column(name="id_employee")
-    private int employeeId;
+    private Integer employeeId;
 
-    public Post(LocalDate dateCreated, String thumbnailUrl, int petId, int surendeeId, int employeeId) {
+    public Post(LocalDate dateCreated, String thumbnailUrl, Integer petId, Integer surendeeId, Integer employeeId) {
         this.dateCreated = dateCreated;
         this.thumbnailUrl = thumbnailUrl;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -0,0 +1,8 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Pet;
+
+public interface PetService {
+
+    void save (Pet pet);
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -0,0 +1,13 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Post;
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+
+public interface PostService {
+
+    void save (Post post);
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -0,0 +1,21 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Pet;
+import finki.paw5.repository.PetRepository;
+import finki.paw5.service.PetService;
+import org.springframework.stereotype.Service;
+
+@Service
+public class PetServiceImplementation implements PetService {
+
+    private final PetRepository petRepository;
+
+    public PetServiceImplementation(PetRepository petRepository) {
+        this.petRepository = petRepository;
+    }
+
+    @Override
+    public void save(Pet pet) {
+        this.petRepository.save(pet);
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -0,0 +1,22 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Post;
+import finki.paw5.repository.PostRepository;
+import finki.paw5.service.PostService;
+import org.springframework.stereotype.Service;
+
+@Service
+public class PostServiceImplementation implements PostService {
+
+    private final PostRepository postRepository;
+
+    public PostServiceImplementation(PostRepository PostRepository){
+        this.postRepository = PostRepository;
+    }
+
+    @Override
+    public void save(Post post) {
+        this.postRepository.save(post);
+    }
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -0,0 +1,15 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.service.PetService;
+import org.springframework.stereotype.Controller;
+
+@Controller
+public class PetController {
+
+    private final PetService petService;
+
+    public PetController(PetService petService) {
+        this.petService = petService;
+    }
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 9ee306ba77650e4e867b6cee971075b8b5c8fcbf)
@@ -0,0 +1,56 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.model.entities.Pet;
+import finki.paw5.model.entities.Post;
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+import finki.paw5.service.PetService;
+import finki.paw5.service.PostService;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+
+import java.time.LocalDate;
+
+@Controller
+public class PostController {
+
+    private final PostService postService;
+    private final PetService petService;
+
+    public PostController(PostService postService, PetService petService) {
+        this.postService = postService;
+        this.petService = petService;
+    }
+
+    @GetMapping("create-post")
+    public String get(Model model) {
+        //TODO: vakvo ama za lista so pets
+        //        List<Manufacturer> manufacturers = this.manufacturerService.findAll();
+        //        model.addAttribute("manufacturers", manufacturers);
+        return "create-post";
+    }
+
+    @PostMapping("submit-post")
+    public String savePost(@RequestParam(required = false) String name,
+                           @RequestParam String gender,
+                           @RequestParam String ageGroup,
+                           @RequestParam String size,
+                           @RequestParam String species,
+                           @RequestParam(required = false) String breed,
+                           @RequestParam(required = false) String imageUrl,
+                           @RequestParam(required = false) boolean canBeFostered) {
+
+        Pet pet = new Pet(imageUrl, AgeGroup.valueOf(ageGroup), Size.valueOf(size), breed, name, Species.valueOf(species), Gender.valueOf(gender), canBeFostered, null, 1);
+        this.petService.save(pet);
+
+        Post post = new Post(LocalDate.now(), imageUrl, pet.getId(), null, 10);//TODO: employee id da se zeme preku session user getid
+        this.postService.save(post);
+
+        return "redirect:/home";
+    }
+}
